openapi: 3.0.3
info:
  title: 'SokyRecargas API'
  description: 'SokyRecargas API'
  version: 1.0.0
servers:
  -
    url: 'https://stg-api.sokyrecargas.com'
paths:
  /api/v1/recharges/offers:
    get:
      summary: 'Filtrar Ofertas'
      operationId: filtrarOfertas
      description: 'Obtener las ofertas disponibles paginadas'
      parameters:
        -
          in: query
          name: search
          description: 'Búsqueda genérica'
          example: '51457852'
          required: false
          schema:
            type: string
            description: 'Búsqueda genérica'
            example: '51457852'
            nullable: false
        -
          in: query
          name: types
          description: 'Tipos de Oferta (sim, recharge, nauta)'
          example:
            - sim
            - recharge
            - nauta
          required: false
          schema:
            type: array
            description: 'Tipos de Oferta (sim, recharge, nauta)'
            example:
              - sim
              - recharge
              - nauta
            items:
              type: string
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 2533
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/006688?text=iusto'
                      image_promo: 'https://via.placeholder.com/640x480.png/00aa66?text=velit'
                      name: 'Ms. Jessica Rau'
                      description: 'Amet iusto quia et nostrum incidunt officiis. Molestiae laborum aliquam magni vitae voluptatum quaerat. Ex facilis voluptas sed corrupti. Non beatae quo sit accusantium eum et voluptatibus.'
                      prices:
                        -
                          id: 4374ade8-e1f9-4847-b562-183882d828a6
                          label: 'Recarga 254'
                          public: 29
                          subscription_interval: null
                          value: 29
                        -
                          id: 0bc6b8ec-e010-4f5c-adf5-c7be1af87ae8
                          label: 'Recarga 391'
                          public: 32
                          subscription_interval: 'm:1'
                          value: 32
                      category:
                        id: 2478
                        name: SIM
                      start_date: '2026-01-08'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: sim_tour
                      currency:
                        id: 2759
                        name: XPF
                        code: AED
                      metadata: null
                    -
                      id: 2534
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/00aa00?text=maiores'
                      image_promo: 'https://via.placeholder.com/640x480.png/004455?text=quaerat'
                      name: 'Mrs. Citlalli Herzog DVM'
                      description: 'Et itaque aut voluptatum ut saepe quisquam. Debitis ullam et expedita consequatur enim voluptas. Asperiores aut corporis sunt suscipit quos. Et labore aut itaque voluptates et laudantium voluptatem.'
                      prices:
                        -
                          id: b3782a9e-3f4d-434b-a1f1-4bb8656b7c31
                          label: 'Recarga 278'
                          public: 22
                          subscription_interval: null
                          value: 22
                        -
                          id: c058f97c-fb2b-40d2-9027-5e16c701b75b
                          label: 'Recarga 705'
                          public: 27
                          subscription_interval: 'd:15'
                          value: 27
                      category:
                        id: 2479
                        name: SIM
                      start_date: '2025-11-06'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: nauta
                      currency:
                        id: 2760
                        name: PLN
                        code: CVE
                      metadata: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 2533
                        available: true
                        image: 'https://via.placeholder.com/640x480.png/006688?text=iusto'
                        image_promo: 'https://via.placeholder.com/640x480.png/00aa66?text=velit'
                        name: 'Ms. Jessica Rau'
                        description: 'Amet iusto quia et nostrum incidunt officiis. Molestiae laborum aliquam magni vitae voluptatum quaerat. Ex facilis voluptas sed corrupti. Non beatae quo sit accusantium eum et voluptatibus.'
                        prices:
                          -
                            id: 4374ade8-e1f9-4847-b562-183882d828a6
                            label: 'Recarga 254'
                            public: 29
                            subscription_interval: null
                            value: 29
                          -
                            id: 0bc6b8ec-e010-4f5c-adf5-c7be1af87ae8
                            label: 'Recarga 391'
                            public: 32
                            subscription_interval: 'm:1'
                            value: 32
                        category:
                          id: 2478
                          name: SIM
                        start_date: '2026-01-08'
                        end_date: '2026-03-18'
                        is_stackable: false
                        is_preorder: false
                        type: sim_tour
                        currency:
                          id: 2759
                          name: XPF
                          code: AED
                        metadata: null
                      -
                        id: 2534
                        available: false
                        image: 'https://via.placeholder.com/640x480.png/00aa00?text=maiores'
                        image_promo: 'https://via.placeholder.com/640x480.png/004455?text=quaerat'
                        name: 'Mrs. Citlalli Herzog DVM'
                        description: 'Et itaque aut voluptatum ut saepe quisquam. Debitis ullam et expedita consequatur enim voluptas. Asperiores aut corporis sunt suscipit quos. Et labore aut itaque voluptates et laudantium voluptatem.'
                        prices:
                          -
                            id: b3782a9e-3f4d-434b-a1f1-4bb8656b7c31
                            label: 'Recarga 278'
                            public: 22
                            subscription_interval: null
                            value: 22
                          -
                            id: c058f97c-fb2b-40d2-9027-5e16c701b75b
                            label: 'Recarga 705'
                            public: 27
                            subscription_interval: 'd:15'
                            value: 27
                        category:
                          id: 2479
                          name: SIM
                        start_date: '2025-11-06'
                        end_date: '2026-03-18'
                        is_stackable: false
                        is_preorder: false
                        type: nauta
                        currency:
                          id: 2760
                          name: PLN
                          code: CVE
                        metadata: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 2533
                        available:
                          type: boolean
                          example: true
                        image:
                          type: string
                          example: 'https://via.placeholder.com/640x480.png/006688?text=iusto'
                        image_promo:
                          type: string
                          example: 'https://via.placeholder.com/640x480.png/00aa66?text=velit'
                        name:
                          type: string
                          example: 'Ms. Jessica Rau'
                        description:
                          type: string
                          example: 'Amet iusto quia et nostrum incidunt officiis. Molestiae laborum aliquam magni vitae voluptatum quaerat. Ex facilis voluptas sed corrupti. Non beatae quo sit accusantium eum et voluptatibus.'
                        prices:
                          type: array
                          example:
                            -
                              id: 4374ade8-e1f9-4847-b562-183882d828a6
                              label: 'Recarga 254'
                              public: 29
                              subscription_interval: null
                              value: 29
                            -
                              id: 0bc6b8ec-e010-4f5c-adf5-c7be1af87ae8
                              label: 'Recarga 391'
                              public: 32
                              subscription_interval: 'm:1'
                              value: 32
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                example: 4374ade8-e1f9-4847-b562-183882d828a6
                              label:
                                type: string
                                example: 'Recarga 254'
                              public:
                                type: integer
                                example: 29
                              subscription_interval:
                                type: string
                                example: null
                              value:
                                type: integer
                                example: 29
                        category:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 2478
                            name:
                              type: string
                              example: SIM
                        start_date:
                          type: string
                          example: '2026-01-08'
                        end_date:
                          type: string
                          example: '2026-03-18'
                        is_stackable:
                          type: boolean
                          example: false
                        is_preorder:
                          type: boolean
                          example: false
                        type:
                          type: string
                          example: sim_tour
                        currency:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 2759
                            name:
                              type: string
                              example: XPF
                            code:
                              type: string
                              example: AED
                        metadata:
                          type: string
                          example: null
      tags:
        - Recargas
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                operator_code:
                  type: string
                  description: 'The <code>code</code> of an existing record in the App\Models\Recharge\Operator table.'
                  example: modi
                  nullable: false
                search:
                  type: string
                  description: ''
                  example: vero
                  nullable: true
                available:
                  type: boolean
                  description: ''
                  example: false
                  nullable: false
                category:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the App\Models\Recharge\Category table.'
                  example: 9
                  nullable: false
                category_id:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the App\Models\Recharge\Category table.'
                  example: 16
                  nullable: false
                start_date:
                  type: string
                  description: 'El campo value debe ser una fecha válida.'
                  example: '2025-12-18T14:41:59'
                  nullable: true
                end_date:
                  type: string
                  description: 'El campo value debe ser una fecha válida.'
                  example: '2025-12-18T14:41:59'
                  nullable: true
                is_stackable:
                  type: boolean
                  description: ''
                  example: true
                  nullable: false
                types:
                  type: array
                  description: ''
                  example:
                    - nauta
                  items:
                    type: string
                    enum:
                      - recharge
                      - nauta
                      - sim
                      - sim_tour
                      - modem
      security: []
  '/api/v1/recharges/offers/{offer_id}/recharge':
    post:
      summary: 'Recargar una Oferta'
      operationId: recargarUnaOferta
      description: 'Hace una recarga asociada a una oferta y tomando el ID del precio que se desea recargar'
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 14561
                    recipient_name: 'Calista Hills'
                    recipient: +1-702-753-7345
                    email: null
                    amount: '99.39'
                    is_paid: false
                    status: pending
                    price_label: 'Jaleel Crona'
                    operator:
                      id: 5205
                      code: '5703'
                      name: 'Jaleel Crona'
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/0066ff?text=culpa'
                    offer:
                      id: 2535
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/005555?text=voluptatibus'
                      image_promo: 'https://via.placeholder.com/640x480.png/00cc22?text=omnis'
                      name: 'Mr. Esteban Swift'
                      description: 'Reiciendis doloremque totam nihil molestiae quibusdam quia. Et voluptas autem nulla eum. Distinctio ratione veniam a dolores perferendis eos.'
                      prices:
                        -
                          id: 5d60d21e-bde2-4252-92cd-6be8ad3b08ad
                          label: 'Recarga 695'
                          public: 12
                          subscription_interval: 'd:15'
                          value: 12
                        -
                          id: 8616b4d4-69eb-4746-acad-d63e7d9a7b36
                          label: 'Recarga 366'
                          public: 10
                          subscription_interval: null
                          value: 10
                      category:
                        id: 2480
                        name: Recargas
                      start_date: '2026-02-18'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: sim_tour
                      currency:
                        id: 2761
                        name: LKR
                        code: KZT
                      metadata: null
                    user:
                      id: 7910
                      name: 'Gabriel Sipes'
                      email: roob.eleanore@example.net
                      email_verified_at: '2025-12-18T19:41:59.000000Z'
                      phone: 817.829.1728
                      phone_verified_at: '2025-12-18T19:41:59.000000Z'
                      role: user
                      coins: '946.00'
                    created_at: '2025-12-18T19:41:59.000000Z'
                    updated_at: '2025-12-18T19:41:59.000000Z'
                    is_stacked: true
                    stacked_at: '2025-12-18T19:41:59.000000Z'
                    retries: 7
                    repeat: 4
                    completed_at: '2025-12-18T19:41:59.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 14561
                      recipient_name:
                        type: string
                        example: 'Calista Hills'
                      recipient:
                        type: string
                        example: +1-702-753-7345
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '99.39'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: pending
                      price_label:
                        type: string
                        example: 'Jaleel Crona'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5205
                          code:
                            type: string
                            example: '5703'
                          name:
                            type: string
                            example: 'Jaleel Crona'
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0066ff?text=culpa'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2535
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/005555?text=voluptatibus'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00cc22?text=omnis'
                          name:
                            type: string
                            example: 'Mr. Esteban Swift'
                          description:
                            type: string
                            example: 'Reiciendis doloremque totam nihil molestiae quibusdam quia. Et voluptas autem nulla eum. Distinctio ratione veniam a dolores perferendis eos.'
                          prices:
                            type: array
                            example:
                              -
                                id: 5d60d21e-bde2-4252-92cd-6be8ad3b08ad
                                label: 'Recarga 695'
                                public: 12
                                subscription_interval: 'd:15'
                                value: 12
                              -
                                id: 8616b4d4-69eb-4746-acad-d63e7d9a7b36
                                label: 'Recarga 366'
                                public: 10
                                subscription_interval: null
                                value: 10
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: 5d60d21e-bde2-4252-92cd-6be8ad3b08ad
                                label:
                                  type: string
                                  example: 'Recarga 695'
                                public:
                                  type: integer
                                  example: 12
                                subscription_interval:
                                  type: string
                                  example: 'd:15'
                                value:
                                  type: integer
                                  example: 12
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2480
                              name:
                                type: string
                                example: Recargas
                          start_date:
                            type: string
                            example: '2026-02-18'
                          end_date:
                            type: string
                            example: '2026-03-18'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: sim_tour
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2761
                              name:
                                type: string
                                example: LKR
                              code:
                                type: string
                                example: KZT
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7910
                          name:
                            type: string
                            example: 'Gabriel Sipes'
                          email:
                            type: string
                            example: roob.eleanore@example.net
                          email_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          phone:
                            type: string
                            example: 817.829.1728
                          phone_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '946.00'
                      created_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      is_stacked:
                        type: boolean
                        example: true
                      stacked_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      retries:
                        type: integer
                        example: 7
                      repeat:
                        type: integer
                        example: 4
                      completed_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  description: 'Id del Precio a recargas'
                  example: dfcceeda-82d1-4ede-ac36-689f2c97badf
                  nullable: false
                recipient_name:
                  type: string
                  description: 'Nombre del Destinatario'
                  example: 'John Doe'
                  nullable: false
                recipient:
                  type: string
                  description: 'Celular del Destinatario'
                  example: '5515151'
                  nullable: false
                email:
                  type: string
                  description: 'Email nauta (Solo para ofertas de nauta)'
                  example: myemail@nauta.cu
                  nullable: false
                comments:
                  type: string
                  description: ''
                  example: assumenda
                  nullable: true
                subscribe:
                  type: boolean
                  description: 'Habilitar subscripción'
                  example: true
                  nullable: false
                repeat:
                  type: integer
                  description: 'Cantidad de veces a repetir la recarga'
                  example: 1
                  nullable: false
              required:
                - price_id
                - recipient
    parameters:
      -
        in: path
        name: offer_id
        description: ''
        example: '25'
        required: true
        schema:
          type: 'Id de la Oferta'
  '/api/v1/recharges/offers/{offer_id}/recharge-stacked':
    post:
      summary: 'Recargar una Oferta'
      operationId: recargarUnaOferta
      description: 'Hace una recarga asociada a una oferta y tomando el ID del precio que se desea recargar'
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 14562
                    recipient_name: 'Dr. Solon Flatley I'
                    recipient: +1.913.418.9930
                    email: null
                    amount: '76.86'
                    is_paid: false
                    status: canceled
                    price_label: 'Cameron Hauck'
                    operator:
                      id: 5207
                      code: '1609'
                      name: 'Cameron Hauck'
                      available: true
                      image: 'https://via.placeholder.com/640x480.png/00aa22?text=similique'
                    offer:
                      id: 2536
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/00ee44?text=est'
                      image_promo: 'https://via.placeholder.com/640x480.png/000088?text=facere'
                      name: 'Karolann Kreiger'
                      description: 'Quod rem amet suscipit. Distinctio consequuntur alias dolorem ab labore sint rerum. Minus ut est iusto ipsum.'
                      prices:
                        -
                          id: b2f5ea5a-ae02-46fb-9bf4-2855342ae152
                          label: 'Recarga 524'
                          public: 18
                          subscription_interval: 'd:15'
                          value: 18
                        -
                          id: d48c237d-02e5-44d7-a42e-6c4e4fad3582
                          label: 'Recarga 329'
                          public: 20
                          subscription_interval: null
                          value: 20
                      category:
                        id: 2481
                        name: Recargas
                      start_date: '2026-02-21'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: sim
                      currency:
                        id: 2762
                        name: KHR
                        code: IDR
                      metadata: null
                    user:
                      id: 7911
                      name: 'Emmalee Wiegand'
                      email: graciela17@example.net
                      email_verified_at: '2025-12-18T19:41:59.000000Z'
                      phone: 520.285.7000
                      phone_verified_at: '2025-12-18T19:41:59.000000Z'
                      role: user
                      coins: '581.00'
                    created_at: '2025-12-18T19:41:59.000000Z'
                    updated_at: '2025-12-18T19:41:59.000000Z'
                    is_stacked: true
                    stacked_at: '2025-12-18T19:41:59.000000Z'
                    retries: 7
                    repeat: 2
                    completed_at: '2025-12-18T19:41:59.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 14562
                      recipient_name:
                        type: string
                        example: 'Dr. Solon Flatley I'
                      recipient:
                        type: string
                        example: +1.913.418.9930
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '76.86'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: canceled
                      price_label:
                        type: string
                        example: 'Cameron Hauck'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5207
                          code:
                            type: string
                            example: '1609'
                          name:
                            type: string
                            example: 'Cameron Hauck'
                          available:
                            type: boolean
                            example: true
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00aa22?text=similique'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2536
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00ee44?text=est'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/000088?text=facere'
                          name:
                            type: string
                            example: 'Karolann Kreiger'
                          description:
                            type: string
                            example: 'Quod rem amet suscipit. Distinctio consequuntur alias dolorem ab labore sint rerum. Minus ut est iusto ipsum.'
                          prices:
                            type: array
                            example:
                              -
                                id: b2f5ea5a-ae02-46fb-9bf4-2855342ae152
                                label: 'Recarga 524'
                                public: 18
                                subscription_interval: 'd:15'
                                value: 18
                              -
                                id: d48c237d-02e5-44d7-a42e-6c4e4fad3582
                                label: 'Recarga 329'
                                public: 20
                                subscription_interval: null
                                value: 20
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: b2f5ea5a-ae02-46fb-9bf4-2855342ae152
                                label:
                                  type: string
                                  example: 'Recarga 524'
                                public:
                                  type: integer
                                  example: 18
                                subscription_interval:
                                  type: string
                                  example: 'd:15'
                                value:
                                  type: integer
                                  example: 18
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2481
                              name:
                                type: string
                                example: Recargas
                          start_date:
                            type: string
                            example: '2026-02-21'
                          end_date:
                            type: string
                            example: '2026-03-18'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: sim
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2762
                              name:
                                type: string
                                example: KHR
                              code:
                                type: string
                                example: IDR
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7911
                          name:
                            type: string
                            example: 'Emmalee Wiegand'
                          email:
                            type: string
                            example: graciela17@example.net
                          email_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          phone:
                            type: string
                            example: 520.285.7000
                          phone_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '581.00'
                      created_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      is_stacked:
                        type: boolean
                        example: true
                      stacked_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      retries:
                        type: integer
                        example: 7
                      repeat:
                        type: integer
                        example: 2
                      completed_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  description: 'Id del Precio a recargas'
                  example: dfcceeda-82d1-4ede-ac36-689f2c97badf
                  nullable: false
                recipient_name:
                  type: string
                  description: 'Nombre del Destinatario'
                  example: 'John Doe'
                  nullable: false
                recipient:
                  type: string
                  description: 'Celular del Destinatario'
                  example: '5515151'
                  nullable: false
                email:
                  type: string
                  description: 'Email nauta (Solo para ofertas de nauta)'
                  example: myemail@nauta.cu
                  nullable: false
                comments:
                  type: string
                  description: ''
                  example: sit
                  nullable: true
                subscribe:
                  type: boolean
                  description: 'Habilitar subscripción'
                  example: true
                  nullable: false
                repeat:
                  type: integer
                  description: 'Cantidad de veces a repetir la recarga'
                  example: 1
                  nullable: false
              required:
                - price_id
                - recipient
    parameters:
      -
        in: path
        name: offer_id
        description: ''
        example: '25'
        required: true
        schema:
          type: 'Id de la Oferta'
  /api/v1/recharges/subscriptions:
    get:
      summary: 'Subscriptions del Usuario'
      operationId: subscriptionsDelUsuario
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 62
                      offer_name: 'Titus Walter '
                      recipient: 301.928.2559
                      recipient_name: 'Jason Pouros'
                      recipient_email: meggie.oreilly@pacocha.net
                      amount: '30.00'
                      status: disabled
                      interval: 'd:15'
                      interval_count: 0
                      last_payment_at: null
                      next_payment_at: null
                      created_at: '2025-12-18T19:41:59.000000Z'
                      updated_at: '2025-12-18T19:41:59.000000Z'
                    -
                      id: 63
                      offer_name: 'Dr. Rafaela Schmidt '
                      recipient: '+1 (320) 768-7862'
                      recipient_name: 'Mario Stokes'
                      recipient_email: frederick.bartoletti@ullrich.com
                      amount: '37.93'
                      status: enabled
                      interval: 'd:15'
                      interval_count: 0
                      last_payment_at: null
                      next_payment_at: null
                      created_at: '2025-12-18T19:41:59.000000Z'
                      updated_at: '2025-12-18T19:41:59.000000Z'
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 62
                        offer_name: 'Titus Walter '
                        recipient: 301.928.2559
                        recipient_name: 'Jason Pouros'
                        recipient_email: meggie.oreilly@pacocha.net
                        amount: '30.00'
                        status: disabled
                        interval: 'd:15'
                        interval_count: 0
                        last_payment_at: null
                        next_payment_at: null
                        created_at: '2025-12-18T19:41:59.000000Z'
                        updated_at: '2025-12-18T19:41:59.000000Z'
                      -
                        id: 63
                        offer_name: 'Dr. Rafaela Schmidt '
                        recipient: '+1 (320) 768-7862'
                        recipient_name: 'Mario Stokes'
                        recipient_email: frederick.bartoletti@ullrich.com
                        amount: '37.93'
                        status: enabled
                        interval: 'd:15'
                        interval_count: 0
                        last_payment_at: null
                        next_payment_at: null
                        created_at: '2025-12-18T19:41:59.000000Z'
                        updated_at: '2025-12-18T19:41:59.000000Z'
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 62
                        offer_name:
                          type: string
                          example: 'Titus Walter '
                        recipient:
                          type: string
                          example: 301.928.2559
                        recipient_name:
                          type: string
                          example: 'Jason Pouros'
                        recipient_email:
                          type: string
                          example: meggie.oreilly@pacocha.net
                        amount:
                          type: string
                          example: '30.00'
                        status:
                          type: string
                          example: disabled
                        interval:
                          type: string
                          example: 'd:15'
                        interval_count:
                          type: integer
                          example: 0
                        last_payment_at:
                          type: string
                          example: null
                        next_payment_at:
                          type: string
                          example: null
                        created_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        updated_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
      tags:
        - Recargas
    post:
      summary: 'Subscribe to Offer'
      operationId: subscribeToOffer
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 64
                    offer_name: 'Sasha Graham '
                    recipient: '(949) 226-2708'
                    recipient_name: 'Nakia Spencer'
                    recipient_email: kuhic.jaylin@gmail.com
                    amount: '71.52'
                    status: disabled
                    interval: 'd:15'
                    interval_count: 0
                    last_payment_at: null
                    next_payment_at: null
                    created_at: '2025-12-18T19:41:59.000000Z'
                    updated_at: '2025-12-18T19:41:59.000000Z'
                    offer:
                      id: 2539
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/00ccdd?text=id'
                      image_promo: 'https://via.placeholder.com/640x480.png/0066ee?text=quidem'
                      name: 'Sasha Graham'
                      description: 'Accusantium labore sunt est sed totam. Sed molestias soluta error. Iusto quae ullam voluptatem. Blanditiis rerum magnam accusamus.'
                      prices:
                        -
                          id: ddf1f0eb-d50b-48ae-b989-3e381f3a5ecf
                          label: 'Recarga 347'
                          public: 23
                          subscription_interval: null
                          value: 23
                        -
                          id: 608aaea3-7716-4bd1-be96-0894c7972de0
                          label: 'Recarga 537'
                          public: 25
                          subscription_interval: 'd:15'
                          value: 25
                      category:
                        id: 2484
                        name: SIM
                      start_date: '2026-03-13'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: sim
                      currency:
                        id: 2765
                        name: LRD
                        code: PAB
                      metadata: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 64
                      offer_name:
                        type: string
                        example: 'Sasha Graham '
                      recipient:
                        type: string
                        example: '(949) 226-2708'
                      recipient_name:
                        type: string
                        example: 'Nakia Spencer'
                      recipient_email:
                        type: string
                        example: kuhic.jaylin@gmail.com
                      amount:
                        type: string
                        example: '71.52'
                      status:
                        type: string
                        example: disabled
                      interval:
                        type: string
                        example: 'd:15'
                      interval_count:
                        type: integer
                        example: 0
                      last_payment_at:
                        type: string
                        example: null
                      next_payment_at:
                        type: string
                        example: null
                      created_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2539
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00ccdd?text=id'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0066ee?text=quidem'
                          name:
                            type: string
                            example: 'Sasha Graham'
                          description:
                            type: string
                            example: 'Accusantium labore sunt est sed totam. Sed molestias soluta error. Iusto quae ullam voluptatem. Blanditiis rerum magnam accusamus.'
                          prices:
                            type: array
                            example:
                              -
                                id: ddf1f0eb-d50b-48ae-b989-3e381f3a5ecf
                                label: 'Recarga 347'
                                public: 23
                                subscription_interval: null
                                value: 23
                              -
                                id: 608aaea3-7716-4bd1-be96-0894c7972de0
                                label: 'Recarga 537'
                                public: 25
                                subscription_interval: 'd:15'
                                value: 25
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: ddf1f0eb-d50b-48ae-b989-3e381f3a5ecf
                                label:
                                  type: string
                                  example: 'Recarga 347'
                                public:
                                  type: integer
                                  example: 23
                                subscription_interval:
                                  type: string
                                  example: null
                                value:
                                  type: integer
                                  example: 23
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2484
                              name:
                                type: string
                                example: SIM
                          start_date:
                            type: string
                            example: '2026-03-13'
                          end_date:
                            type: string
                            example: '2026-03-18'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: sim
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2765
                              name:
                                type: string
                                example: LRD
                              code:
                                type: string
                                example: PAB
                          metadata:
                            type: string
                            example: null
      tags:
        - Recargas
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  description: ''
                  example: nostrum
                  nullable: false
                recipient_name:
                  type: string
                  description: 'El campo value no debe ser mayor que 255 caracteres.'
                  example: qirxptbmaeibgpmlpdjjwo
                  nullable: true
                recipient:
                  type: string
                  description: ''
                  example: laboriosam
                  nullable: false
                email:
                  type: string
                  description: 'El campo value no es un correo válido. Must match the regex /^[a-zA-Z0-9._%+-]+@nauta\.com\.cu$/i. El campo value no debe ser mayor que 255 caracteres.'
                  example: fcarroll@example.com
                  nullable: true
                comments:
                  type: string
                  description: ''
                  example: corporis
                  nullable: true
              required:
                - price_id
                - recipient
  '/api/v1/recharges/subscriptions/{id}':
    patch:
      summary: 'Update Subscription'
      operationId: updateSubscription
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 65
                    offer_name: 'Destinee Lebsack III '
                    recipient: 412-743-1728
                    recipient_name: 'Garret Brown'
                    recipient_email: reinger.sallie@gmail.com
                    amount: '80.57'
                    status: enabled
                    interval: 'd:30'
                    interval_count: 0
                    last_payment_at: null
                    next_payment_at: null
                    created_at: '2025-12-18T19:41:59.000000Z'
                    updated_at: '2025-12-18T19:41:59.000000Z'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 65
                      offer_name:
                        type: string
                        example: 'Destinee Lebsack III '
                      recipient:
                        type: string
                        example: 412-743-1728
                      recipient_name:
                        type: string
                        example: 'Garret Brown'
                      recipient_email:
                        type: string
                        example: reinger.sallie@gmail.com
                      amount:
                        type: string
                        example: '80.57'
                      status:
                        type: string
                        example: enabled
                      interval:
                        type: string
                        example: 'd:30'
                      interval_count:
                        type: integer
                        example: 0
                      last_payment_at:
                        type: string
                        example: null
                      next_payment_at:
                        type: string
                        example: null
                      created_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
      tags:
        - Recargas
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: string
                  description: ''
                  example: disabled
                  nullable: false
                  enum:
                    - enabled
                    - disabled
                recipient:
                  type: string
                  description: ''
                  example: veritatis
                  nullable: false
                recipient_name:
                  type: string
                  description: ''
                  example: sit
                  nullable: true
                email:
                  type: string
                  description: 'El campo value no es un correo válido.'
                  example: rodrick.kessler@example.org
                  nullable: true
    parameters:
      -
        in: path
        name: id
        description: 'The ID of the subscription.'
        example: 37
        required: true
        schema:
          type: integer
  /api/v1/recharges/mine:
    get:
      summary: 'List My Recargas'
      operationId: listMyRecargas
      description: ''
      parameters:
        -
          in: query
          name: user_id
          description: 'Id de usuario'
          example: cum
          required: false
          schema:
            type: string
            description: 'Id de usuario'
            example: cum
            nullable: false
        -
          in: query
          name: operator_code
          description: 'Codigo de Operador'
          example: cum
          required: false
          schema:
            type: string
            description: 'Codigo de Operador'
            example: cum
            nullable: false
        -
          in: query
          name: recipient
          description: 'Celular del destinatario'
          example: architecto
          required: false
          schema:
            type: string
            description: 'Celular del destinatario'
            example: architecto
            nullable: false
        -
          in: query
          name: status
          description: 'Estado de Recarga'
          example: quia
          required: false
          schema:
            type: string
            description: 'Estado de Recarga'
            example: quia
            nullable: false
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 14563
                      recipient_name: 'Dr. Ruthie Roob'
                      recipient: '+12015959672'
                      email: null
                      amount: '31.10'
                      is_paid: false
                      status: canceled
                      price_label: 'Geovanny Erdman'
                      operator:
                        id: 5213
                        code: '1147'
                        name: 'Geovanny Erdman'
                        available: true
                        image: 'https://via.placeholder.com/640x480.png/00ee66?text=ipsam'
                      offer:
                        id: 2541
                        available: true
                        image: 'https://via.placeholder.com/640x480.png/0000ff?text=quo'
                        image_promo: 'https://via.placeholder.com/640x480.png/002266?text=voluptatum'
                        name: 'Vern Halvorson'
                        description: 'Voluptas est enim veniam voluptatem ipsa fugit est soluta. Quam ipsum fugiat sunt deserunt. Ut voluptas impedit eligendi optio omnis odio. Nihil laborum ab nihil ad.'
                        prices:
                          -
                            id: 2ee3b161-3426-40dd-b6eb-6f1affb2b422
                            label: 'Recarga 699'
                            public: 11
                            subscription_interval: 'd:15'
                            value: 11
                          -
                            id: db8a02be-6a8b-4ca6-8d01-aca4a5d0e860
                            label: 'Recarga 053'
                            public: 34
                            subscription_interval: null
                            value: 34
                        category:
                          id: 2486
                          name: Recargas
                        start_date: '2026-02-23'
                        end_date: '2026-03-18'
                        is_stackable: false
                        is_preorder: false
                        type: modem
                        currency:
                          id: 2767
                          name: ALL
                          code: XPF
                        metadata: null
                      user:
                        id: 7916
                        name: 'Dr. Jayson Casper'
                        email: uwehner@example.org
                        email_verified_at: '2025-12-18T19:41:59.000000Z'
                        phone: 585-518-3444
                        phone_verified_at: '2025-12-18T19:41:59.000000Z'
                        role: user
                        coins: '752.00'
                      created_at: '2025-12-18T19:41:59.000000Z'
                      updated_at: '2025-12-18T19:41:59.000000Z'
                      is_stacked: true
                      stacked_at: '2025-12-18T19:41:59.000000Z'
                      retries: 1
                      repeat: 4
                      completed_at: '2025-12-18T19:41:59.000000Z'
                      comments: null
                    -
                      id: 14564
                      recipient_name: 'Giovani Dickinson'
                      recipient: +1-240-637-2233
                      email: null
                      amount: '34.37'
                      is_paid: false
                      status: pending
                      price_label: 'Miss Elaina Ledner III'
                      operator:
                        id: 5215
                        code: '6309'
                        name: 'Miss Elaina Ledner III'
                        available: false
                        image: 'https://via.placeholder.com/640x480.png/001144?text=asperiores'
                      offer:
                        id: 2542
                        available: false
                        image: 'https://via.placeholder.com/640x480.png/0066aa?text=ut'
                        image_promo: 'https://via.placeholder.com/640x480.png/0088cc?text=porro'
                        name: 'Mr. Kade Mills Jr.'
                        description: 'Numquam itaque molestiae facere saepe quae quod. Reprehenderit iure placeat et omnis in. Nulla expedita quod quia quia.'
                        prices:
                          -
                            id: a1c04ec7-dc6e-4db7-a8c0-9811177ca8f4
                            label: 'Recarga 709'
                            public: 21
                            subscription_interval: null
                            value: 21
                          -
                            id: b3245aad-10ca-4a4c-b473-c5057c14af2a
                            label: 'Recarga 386'
                            public: 17
                            subscription_interval: 'd:15'
                            value: 17
                        category:
                          id: 2487
                          name: Recargas
                        start_date: '2025-12-26'
                        end_date: '2026-03-18'
                        is_stackable: false
                        is_preorder: false
                        type: nauta
                        currency:
                          id: 2768
                          name: KZT
                          code: SZL
                        metadata: null
                      user:
                        id: 7917
                        name: 'Cayla Baumbach'
                        email: thaddeus.schinner@example.org
                        email_verified_at: '2025-12-18T19:41:59.000000Z'
                        phone: 480-597-7608
                        phone_verified_at: '2025-12-18T19:41:59.000000Z'
                        role: user
                        coins: '288.00'
                      created_at: '2025-12-18T19:41:59.000000Z'
                      updated_at: '2025-12-18T19:41:59.000000Z'
                      is_stacked: false
                      stacked_at: '2025-12-18T19:41:59.000000Z'
                      retries: 4
                      repeat: 1
                      completed_at: '2025-12-18T19:41:59.000000Z'
                      comments: null
                  links:
                    first: '/?page=1'
                    last: null
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    path: /
                    per_page: 15
                    to: 2
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 14563
                        recipient_name: 'Dr. Ruthie Roob'
                        recipient: '+12015959672'
                        email: null
                        amount: '31.10'
                        is_paid: false
                        status: canceled
                        price_label: 'Geovanny Erdman'
                        operator:
                          id: 5213
                          code: '1147'
                          name: 'Geovanny Erdman'
                          available: true
                          image: 'https://via.placeholder.com/640x480.png/00ee66?text=ipsam'
                        offer:
                          id: 2541
                          available: true
                          image: 'https://via.placeholder.com/640x480.png/0000ff?text=quo'
                          image_promo: 'https://via.placeholder.com/640x480.png/002266?text=voluptatum'
                          name: 'Vern Halvorson'
                          description: 'Voluptas est enim veniam voluptatem ipsa fugit est soluta. Quam ipsum fugiat sunt deserunt. Ut voluptas impedit eligendi optio omnis odio. Nihil laborum ab nihil ad.'
                          prices:
                            -
                              id: 2ee3b161-3426-40dd-b6eb-6f1affb2b422
                              label: 'Recarga 699'
                              public: 11
                              subscription_interval: 'd:15'
                              value: 11
                            -
                              id: db8a02be-6a8b-4ca6-8d01-aca4a5d0e860
                              label: 'Recarga 053'
                              public: 34
                              subscription_interval: null
                              value: 34
                          category:
                            id: 2486
                            name: Recargas
                          start_date: '2026-02-23'
                          end_date: '2026-03-18'
                          is_stackable: false
                          is_preorder: false
                          type: modem
                          currency:
                            id: 2767
                            name: ALL
                            code: XPF
                          metadata: null
                        user:
                          id: 7916
                          name: 'Dr. Jayson Casper'
                          email: uwehner@example.org
                          email_verified_at: '2025-12-18T19:41:59.000000Z'
                          phone: 585-518-3444
                          phone_verified_at: '2025-12-18T19:41:59.000000Z'
                          role: user
                          coins: '752.00'
                        created_at: '2025-12-18T19:41:59.000000Z'
                        updated_at: '2025-12-18T19:41:59.000000Z'
                        is_stacked: true
                        stacked_at: '2025-12-18T19:41:59.000000Z'
                        retries: 1
                        repeat: 4
                        completed_at: '2025-12-18T19:41:59.000000Z'
                        comments: null
                      -
                        id: 14564
                        recipient_name: 'Giovani Dickinson'
                        recipient: +1-240-637-2233
                        email: null
                        amount: '34.37'
                        is_paid: false
                        status: pending
                        price_label: 'Miss Elaina Ledner III'
                        operator:
                          id: 5215
                          code: '6309'
                          name: 'Miss Elaina Ledner III'
                          available: false
                          image: 'https://via.placeholder.com/640x480.png/001144?text=asperiores'
                        offer:
                          id: 2542
                          available: false
                          image: 'https://via.placeholder.com/640x480.png/0066aa?text=ut'
                          image_promo: 'https://via.placeholder.com/640x480.png/0088cc?text=porro'
                          name: 'Mr. Kade Mills Jr.'
                          description: 'Numquam itaque molestiae facere saepe quae quod. Reprehenderit iure placeat et omnis in. Nulla expedita quod quia quia.'
                          prices:
                            -
                              id: a1c04ec7-dc6e-4db7-a8c0-9811177ca8f4
                              label: 'Recarga 709'
                              public: 21
                              subscription_interval: null
                              value: 21
                            -
                              id: b3245aad-10ca-4a4c-b473-c5057c14af2a
                              label: 'Recarga 386'
                              public: 17
                              subscription_interval: 'd:15'
                              value: 17
                          category:
                            id: 2487
                            name: Recargas
                          start_date: '2025-12-26'
                          end_date: '2026-03-18'
                          is_stackable: false
                          is_preorder: false
                          type: nauta
                          currency:
                            id: 2768
                            name: KZT
                            code: SZL
                          metadata: null
                        user:
                          id: 7917
                          name: 'Cayla Baumbach'
                          email: thaddeus.schinner@example.org
                          email_verified_at: '2025-12-18T19:41:59.000000Z'
                          phone: 480-597-7608
                          phone_verified_at: '2025-12-18T19:41:59.000000Z'
                          role: user
                          coins: '288.00'
                        created_at: '2025-12-18T19:41:59.000000Z'
                        updated_at: '2025-12-18T19:41:59.000000Z'
                        is_stacked: false
                        stacked_at: '2025-12-18T19:41:59.000000Z'
                        retries: 4
                        repeat: 1
                        completed_at: '2025-12-18T19:41:59.000000Z'
                        comments: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 14563
                        recipient_name:
                          type: string
                          example: 'Dr. Ruthie Roob'
                        recipient:
                          type: string
                          example: '+12015959672'
                        email:
                          type: string
                          example: null
                        amount:
                          type: string
                          example: '31.10'
                        is_paid:
                          type: boolean
                          example: false
                        status:
                          type: string
                          example: canceled
                        price_label:
                          type: string
                          example: 'Geovanny Erdman'
                        operator:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 5213
                            code:
                              type: string
                              example: '1147'
                            name:
                              type: string
                              example: 'Geovanny Erdman'
                            available:
                              type: boolean
                              example: true
                            image:
                              type: string
                              example: 'https://via.placeholder.com/640x480.png/00ee66?text=ipsam'
                        offer:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 2541
                            available:
                              type: boolean
                              example: true
                            image:
                              type: string
                              example: 'https://via.placeholder.com/640x480.png/0000ff?text=quo'
                            image_promo:
                              type: string
                              example: 'https://via.placeholder.com/640x480.png/002266?text=voluptatum'
                            name:
                              type: string
                              example: 'Vern Halvorson'
                            description:
                              type: string
                              example: 'Voluptas est enim veniam voluptatem ipsa fugit est soluta. Quam ipsum fugiat sunt deserunt. Ut voluptas impedit eligendi optio omnis odio. Nihil laborum ab nihil ad.'
                            prices:
                              type: array
                              example:
                                -
                                  id: 2ee3b161-3426-40dd-b6eb-6f1affb2b422
                                  label: 'Recarga 699'
                                  public: 11
                                  subscription_interval: 'd:15'
                                  value: 11
                                -
                                  id: db8a02be-6a8b-4ca6-8d01-aca4a5d0e860
                                  label: 'Recarga 053'
                                  public: 34
                                  subscription_interval: null
                                  value: 34
                              items:
                                type: object
                                properties:
                                  id:
                                    type: string
                                    example: 2ee3b161-3426-40dd-b6eb-6f1affb2b422
                                  label:
                                    type: string
                                    example: 'Recarga 699'
                                  public:
                                    type: integer
                                    example: 11
                                  subscription_interval:
                                    type: string
                                    example: 'd:15'
                                  value:
                                    type: integer
                                    example: 11
                            category:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 2486
                                name:
                                  type: string
                                  example: Recargas
                            start_date:
                              type: string
                              example: '2026-02-23'
                            end_date:
                              type: string
                              example: '2026-03-18'
                            is_stackable:
                              type: boolean
                              example: false
                            is_preorder:
                              type: boolean
                              example: false
                            type:
                              type: string
                              example: modem
                            currency:
                              type: object
                              properties:
                                id:
                                  type: integer
                                  example: 2767
                                name:
                                  type: string
                                  example: ALL
                                code:
                                  type: string
                                  example: XPF
                            metadata:
                              type: string
                              example: null
                        user:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7916
                            name:
                              type: string
                              example: 'Dr. Jayson Casper'
                            email:
                              type: string
                              example: uwehner@example.org
                            email_verified_at:
                              type: string
                              example: '2025-12-18T19:41:59.000000Z'
                            phone:
                              type: string
                              example: 585-518-3444
                            phone_verified_at:
                              type: string
                              example: '2025-12-18T19:41:59.000000Z'
                            role:
                              type: string
                              example: user
                            coins:
                              type: string
                              example: '752.00'
                        created_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        updated_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        is_stacked:
                          type: boolean
                          example: true
                        stacked_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        retries:
                          type: integer
                          example: 1
                        repeat:
                          type: integer
                          example: 4
                        completed_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        comments:
                          type: string
                          example: null
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: '/?page=1'
                      last:
                        type: string
                        example: null
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      to:
                        type: integer
                        example: 2
      tags:
        - Recargas
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                user_id:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the users table.'
                  example: 11
                  nullable: false
                operator_code:
                  type: string
                  description: 'The <code>code</code> of an existing record in the recharge_operators table.'
                  example: ea
                  nullable: false
                operator_id:
                  type: integer
                  description: 'The <code>id</code> of an existing record in the recharge_operators table.'
                  example: 7
                  nullable: false
                recipient_name:
                  type: string
                  description: ''
                  example: ea
                  nullable: false
                recipient:
                  type: string
                  description: ''
                  example: animi
                  nullable: false
                status:
                  type: string
                  description: ''
                  example: canceled
                  nullable: false
                  enum:
                    - canceled
                    - completed
                    - pending
                is_stacked:
                  type: boolean
                  description: ''
                  example: true
                  nullable: false
  '/api/v1/recharges/{id}':
    get:
      summary: 'Recarga Details'
      operationId: recargaDetails
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 14565
                    recipient_name: 'Jamil Feest'
                    recipient: 224-603-2885
                    email: null
                    amount: '59.22'
                    is_paid: false
                    status: canceled
                    price_label: 'Mrs. Rosalinda Halvorson I'
                    operator:
                      id: 5217
                      code: '8284'
                      name: 'Mrs. Rosalinda Halvorson I'
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/0011ee?text=quia'
                    offer:
                      id: 2543
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/000088?text=eos'
                      image_promo: 'https://via.placeholder.com/640x480.png/00aaff?text=quam'
                      name: 'Osvaldo Price'
                      description: 'Totam beatae repudiandae delectus hic qui ut ea et. Dolorum qui sed ea iste eum amet maiores. Possimus et minima qui corporis dolore et et. Neque ut saepe magni inventore nihil aperiam non.'
                      prices:
                        -
                          id: d4aa7d94-638f-42d5-840c-12607e423502
                          label: 'Recarga 541'
                          public: 18
                          subscription_interval: 'm:1'
                          value: 18
                        -
                          id: beb30820-40fb-48a6-aeba-a48bd740992a
                          label: 'Recarga 864'
                          public: 14
                          subscription_interval: 'd:15'
                          value: 14
                      category:
                        id: 2488
                        name: Recargas
                      start_date: '2026-02-14'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: recharge
                      currency:
                        id: 2769
                        name: MVR
                        code: MUR
                      metadata: null
                    user:
                      id: 7918
                      name: 'Doris Gleichner Jr.'
                      email: einar.beahan@example.net
                      email_verified_at: '2025-12-18T19:42:00.000000Z'
                      phone: +1-352-928-5267
                      phone_verified_at: '2025-12-18T19:42:00.000000Z'
                      role: user
                      coins: '236.00'
                    created_at: '2025-12-18T19:42:00.000000Z'
                    updated_at: '2025-12-18T19:42:00.000000Z'
                    is_stacked: true
                    stacked_at: '2025-12-18T19:42:00.000000Z'
                    retries: 10
                    repeat: 2
                    completed_at: '2025-12-18T19:42:00.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 14565
                      recipient_name:
                        type: string
                        example: 'Jamil Feest'
                      recipient:
                        type: string
                        example: 224-603-2885
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '59.22'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: canceled
                      price_label:
                        type: string
                        example: 'Mrs. Rosalinda Halvorson I'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5217
                          code:
                            type: string
                            example: '8284'
                          name:
                            type: string
                            example: 'Mrs. Rosalinda Halvorson I'
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0011ee?text=quia'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2543
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/000088?text=eos'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00aaff?text=quam'
                          name:
                            type: string
                            example: 'Osvaldo Price'
                          description:
                            type: string
                            example: 'Totam beatae repudiandae delectus hic qui ut ea et. Dolorum qui sed ea iste eum amet maiores. Possimus et minima qui corporis dolore et et. Neque ut saepe magni inventore nihil aperiam non.'
                          prices:
                            type: array
                            example:
                              -
                                id: d4aa7d94-638f-42d5-840c-12607e423502
                                label: 'Recarga 541'
                                public: 18
                                subscription_interval: 'm:1'
                                value: 18
                              -
                                id: beb30820-40fb-48a6-aeba-a48bd740992a
                                label: 'Recarga 864'
                                public: 14
                                subscription_interval: 'd:15'
                                value: 14
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: d4aa7d94-638f-42d5-840c-12607e423502
                                label:
                                  type: string
                                  example: 'Recarga 541'
                                public:
                                  type: integer
                                  example: 18
                                subscription_interval:
                                  type: string
                                  example: 'm:1'
                                value:
                                  type: integer
                                  example: 18
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2488
                              name:
                                type: string
                                example: Recargas
                          start_date:
                            type: string
                            example: '2026-02-14'
                          end_date:
                            type: string
                            example: '2026-03-18'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: recharge
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2769
                              name:
                                type: string
                                example: MVR
                              code:
                                type: string
                                example: MUR
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7918
                          name:
                            type: string
                            example: 'Doris Gleichner Jr.'
                          email:
                            type: string
                            example: einar.beahan@example.net
                          email_verified_at:
                            type: string
                            example: '2025-12-18T19:42:00.000000Z'
                          phone:
                            type: string
                            example: +1-352-928-5267
                          phone_verified_at:
                            type: string
                            example: '2025-12-18T19:42:00.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '236.00'
                      created_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      is_stacked:
                        type: boolean
                        example: true
                      stacked_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      retries:
                        type: integer
                        example: 10
                      repeat:
                        type: integer
                        example: 2
                      completed_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
    parameters:
      -
        in: path
        name: id
        description: ''
        example: 20
        required: true
        schema:
          type: integer
  '/api/v1/recharges/{recharge_id}/cancel':
    post:
      summary: 'Cancelar una Recarga'
      operationId: cancelarUnaRecarga
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 14566
                    recipient_name: 'Vita Dickens'
                    recipient: '(973) 752-9005'
                    email: null
                    amount: '74.08'
                    is_paid: false
                    status: completed
                    price_label: 'Mathilde Morissette'
                    operator:
                      id: 5219
                      code: '5916'
                      name: 'Mathilde Morissette'
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/0022cc?text=eos'
                    offer:
                      id: 2544
                      available: false
                      image: 'https://via.placeholder.com/640x480.png/00ccbb?text=perferendis'
                      image_promo: 'https://via.placeholder.com/640x480.png/00eebb?text=aut'
                      name: 'Stephen Cartwright'
                      description: 'Nemo voluptatibus autem velit ut sed. Est molestiae iste cumque nesciunt. Expedita accusamus ratione consequatur id minus quo quod. Vitae odio sapiente voluptate itaque iusto aut laborum sint.'
                      prices:
                        -
                          id: a11735d4-14c5-4b99-9ee4-45045a5fdd46
                          label: 'Recarga 468'
                          public: 23
                          subscription_interval: 'm:1'
                          value: 23
                        -
                          id: 5a0d7e93-32f4-441e-a25d-8531463a6211
                          label: 'Recarga 295'
                          public: 34
                          subscription_interval: 'd:15'
                          value: 34
                      category:
                        id: 2489
                        name: Recargas
                      start_date: '2025-12-28'
                      end_date: '2026-03-18'
                      is_stackable: false
                      is_preorder: false
                      type: sim_tour
                      currency:
                        id: 2770
                        name: BND
                        code: MWK
                      metadata: null
                    user:
                      id: 7919
                      name: 'Lisette Bode'
                      email: cletus.fadel@example.net
                      email_verified_at: '2025-12-18T19:42:00.000000Z'
                      phone: '(713) 440-0635'
                      phone_verified_at: '2025-12-18T19:42:00.000000Z'
                      role: user
                      coins: '447.00'
                    created_at: '2025-12-18T19:42:00.000000Z'
                    updated_at: '2025-12-18T19:42:00.000000Z'
                    is_stacked: false
                    stacked_at: '2025-12-18T19:42:00.000000Z'
                    retries: 7
                    repeat: 1
                    completed_at: '2025-12-18T19:42:00.000000Z'
                    comments: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 14566
                      recipient_name:
                        type: string
                        example: 'Vita Dickens'
                      recipient:
                        type: string
                        example: '(973) 752-9005'
                      email:
                        type: string
                        example: null
                      amount:
                        type: string
                        example: '74.08'
                      is_paid:
                        type: boolean
                        example: false
                      status:
                        type: string
                        example: completed
                      price_label:
                        type: string
                        example: 'Mathilde Morissette'
                      operator:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 5219
                          code:
                            type: string
                            example: '5916'
                          name:
                            type: string
                            example: 'Mathilde Morissette'
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/0022cc?text=eos'
                      offer:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 2544
                          available:
                            type: boolean
                            example: false
                          image:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00ccbb?text=perferendis'
                          image_promo:
                            type: string
                            example: 'https://via.placeholder.com/640x480.png/00eebb?text=aut'
                          name:
                            type: string
                            example: 'Stephen Cartwright'
                          description:
                            type: string
                            example: 'Nemo voluptatibus autem velit ut sed. Est molestiae iste cumque nesciunt. Expedita accusamus ratione consequatur id minus quo quod. Vitae odio sapiente voluptate itaque iusto aut laborum sint.'
                          prices:
                            type: array
                            example:
                              -
                                id: a11735d4-14c5-4b99-9ee4-45045a5fdd46
                                label: 'Recarga 468'
                                public: 23
                                subscription_interval: 'm:1'
                                value: 23
                              -
                                id: 5a0d7e93-32f4-441e-a25d-8531463a6211
                                label: 'Recarga 295'
                                public: 34
                                subscription_interval: 'd:15'
                                value: 34
                            items:
                              type: object
                              properties:
                                id:
                                  type: string
                                  example: a11735d4-14c5-4b99-9ee4-45045a5fdd46
                                label:
                                  type: string
                                  example: 'Recarga 468'
                                public:
                                  type: integer
                                  example: 23
                                subscription_interval:
                                  type: string
                                  example: 'm:1'
                                value:
                                  type: integer
                                  example: 23
                          category:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2489
                              name:
                                type: string
                                example: Recargas
                          start_date:
                            type: string
                            example: '2025-12-28'
                          end_date:
                            type: string
                            example: '2026-03-18'
                          is_stackable:
                            type: boolean
                            example: false
                          is_preorder:
                            type: boolean
                            example: false
                          type:
                            type: string
                            example: sim_tour
                          currency:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 2770
                              name:
                                type: string
                                example: BND
                              code:
                                type: string
                                example: MWK
                          metadata:
                            type: string
                            example: null
                      user:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7919
                          name:
                            type: string
                            example: 'Lisette Bode'
                          email:
                            type: string
                            example: cletus.fadel@example.net
                          email_verified_at:
                            type: string
                            example: '2025-12-18T19:42:00.000000Z'
                          phone:
                            type: string
                            example: '(713) 440-0635'
                          phone_verified_at:
                            type: string
                            example: '2025-12-18T19:42:00.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '447.00'
                      created_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      is_stacked:
                        type: boolean
                        example: false
                      stacked_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      retries:
                        type: integer
                        example: 7
                      repeat:
                        type: integer
                        example: 1
                      completed_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      comments:
                        type: string
                        example: null
      tags:
        - Recargas
    parameters:
      -
        in: path
        name: recharge_id
        description: 'The ID of the recharge.'
        example: 9310
        required: true
        schema:
          type: integer
      -
        in: path
        name: id
        description: ''
        example: facere
        required: true
        schema:
          type: 'Id de la recarga'
  /api/v1/countries:
    get:
      summary: 'Obtener los países'
      operationId: obtenerLosPases
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      name: null
                      code: null
                      flag: null
                    -
                      name: null
                      code: null
                      flag: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        name: null
                        code: null
                        flag: null
                      -
                        name: null
                        code: null
                        flag: null
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          example: null
                        code:
                          type: string
                          example: null
                        flag:
                          type: string
                          example: null
      tags:
        - SimCard
      security: []
  /api/v1/physical-offices:
    get:
      summary: 'Obtener los puntos de venta'
      operationId: obtenerLosPuntosDeVenta
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 1
                      name: 'CENTRO MULTISERVICIOS MARTI'
                      address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                      city: null
                      province: 'Pinar del Río'
                      phone: null
                      email: null
                      schedule: null
                    -
                      id: 1
                      name: 'CENTRO MULTISERVICIOS MARTI'
                      address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                      city: null
                      province: 'Pinar del Río'
                      phone: null
                      email: null
                      schedule: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 1
                        name: 'CENTRO MULTISERVICIOS MARTI'
                        address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                        city: null
                        province: 'Pinar del Río'
                        phone: null
                        email: null
                        schedule: null
                      -
                        id: 1
                        name: 'CENTRO MULTISERVICIOS MARTI'
                        address: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                        city: null
                        province: 'Pinar del Río'
                        phone: null
                        email: null
                        schedule: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 1
                        name:
                          type: string
                          example: 'CENTRO MULTISERVICIOS MARTI'
                        address:
                          type: string
                          example: 'Calle Martí No.33 e/ Gerardo de Medina e Isabel Rubio Pinar del Río'
                        city:
                          type: string
                          example: null
                        province:
                          type: string
                          example: 'Pinar del Río'
                        phone:
                          type: string
                          example: null
                        email:
                          type: string
                          example: null
                        schedule:
                          type: string
                          example: null
      tags:
        - SimCard
      security: []
  /api/v1/users/auth/current:
    get:
      summary: 'Get Current user'
      operationId: getCurrentUser
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 7920
                    name: 'Treva Aufderhar'
                    email: gerhold.jaydon@example.com
                    email_verified_at: '2025-12-18T19:42:00.000000Z'
                    phone: '(848) 768-4968'
                    phone_verified_at: '2025-12-18T19:42:00.000000Z'
                    role: user
                    coins: '898.00'
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 7920
                      name:
                        type: string
                        example: 'Treva Aufderhar'
                      email:
                        type: string
                        example: gerhold.jaydon@example.com
                      email_verified_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      phone:
                        type: string
                        example: '(848) 768-4968'
                      phone_verified_at:
                        type: string
                        example: '2025-12-18T19:42:00.000000Z'
                      role:
                        type: string
                        example: user
                      coins:
                        type: string
                        example: '898.00'
      tags:
        - Users
  /api/v1/coins/currencies:
    get:
      summary: 'Get Available Currencies'
      operationId: getAvailableCurrencies
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 2758
                    name: ETB
                    code: XOF
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 2758
                      name:
                        type: string
                        example: ETB
                      code:
                        type: string
                        example: XOF
      tags:
        - Wallets
      security: []
  /api/v1/coins/transactions/mine:
    get:
      summary: 'List My Transactions'
      operationId: listMyTransactions
      description: ''
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      id: 22912
                      amount: '37.28'
                      status: success
                      type: transfer
                      fromUser:
                        id: 7904
                        name: 'Boyd Flatley'
                        email: palma87@example.com
                        email_verified_at: '2025-12-18T19:41:59.000000Z'
                        phone: 1-978-968-0688
                        phone_verified_at: '2025-12-18T19:41:59.000000Z'
                        role: user
                        coins: '912.00'
                      toUser:
                        id: 7905
                        name: 'Vickie Herman'
                        email: sigrid.white@example.com
                        email_verified_at: '2025-12-18T19:41:59.000000Z'
                        phone: 458.640.6047
                        phone_verified_at: '2025-12-18T19:41:59.000000Z'
                        role: user
                        coins: '497.00'
                      comments: "Gryphon, and all would change to tinkling sheep-bells, and the poor child, 'for I never knew so much about a foot high: then she had this fit) An obstacle that came between Him, and ourselves, and."
                      payment: null
                      created_at: '2025-12-18T19:41:59.000000Z'
                      updated_at: '2025-12-18T19:41:59.000000Z'
                      metadata: null
                    -
                      id: 22913
                      amount: '41.45'
                      status: pending
                      type: refund
                      fromUser:
                        id: 7906
                        name: 'Tevin Kessler'
                        email: feest.cora@example.net
                        email_verified_at: '2025-12-18T19:41:59.000000Z'
                        phone: 812-893-0896
                        phone_verified_at: '2025-12-18T19:41:59.000000Z'
                        role: user
                        coins: '344.00'
                      toUser:
                        id: 7907
                        name: 'Frieda Lynch'
                        email: claire67@example.com
                        email_verified_at: '2025-12-18T19:41:59.000000Z'
                        phone: 234.996.3411
                        phone_verified_at: '2025-12-18T19:41:59.000000Z'
                        role: user
                        coins: '166.00'
                      comments: "Serpent!' 'But I'm not looking for them, but they were gardeners, or soldiers, or courtiers, or three of the March Hare moved into the sky. Alice went on at last, and they repeated their arguments."
                      payment: null
                      created_at: '2025-12-18T19:41:59.000000Z'
                      updated_at: '2025-12-18T19:41:59.000000Z'
                      metadata: null
                  links:
                    first: '/?page=1'
                    last: null
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    path: /
                    per_page: 15
                    to: 2
                properties:
                  data:
                    type: array
                    example:
                      -
                        id: 22912
                        amount: '37.28'
                        status: success
                        type: transfer
                        fromUser:
                          id: 7904
                          name: 'Boyd Flatley'
                          email: palma87@example.com
                          email_verified_at: '2025-12-18T19:41:59.000000Z'
                          phone: 1-978-968-0688
                          phone_verified_at: '2025-12-18T19:41:59.000000Z'
                          role: user
                          coins: '912.00'
                        toUser:
                          id: 7905
                          name: 'Vickie Herman'
                          email: sigrid.white@example.com
                          email_verified_at: '2025-12-18T19:41:59.000000Z'
                          phone: 458.640.6047
                          phone_verified_at: '2025-12-18T19:41:59.000000Z'
                          role: user
                          coins: '497.00'
                        comments: "Gryphon, and all would change to tinkling sheep-bells, and the poor child, 'for I never knew so much about a foot high: then she had this fit) An obstacle that came between Him, and ourselves, and."
                        payment: null
                        created_at: '2025-12-18T19:41:59.000000Z'
                        updated_at: '2025-12-18T19:41:59.000000Z'
                        metadata: null
                      -
                        id: 22913
                        amount: '41.45'
                        status: pending
                        type: refund
                        fromUser:
                          id: 7906
                          name: 'Tevin Kessler'
                          email: feest.cora@example.net
                          email_verified_at: '2025-12-18T19:41:59.000000Z'
                          phone: 812-893-0896
                          phone_verified_at: '2025-12-18T19:41:59.000000Z'
                          role: user
                          coins: '344.00'
                        toUser:
                          id: 7907
                          name: 'Frieda Lynch'
                          email: claire67@example.com
                          email_verified_at: '2025-12-18T19:41:59.000000Z'
                          phone: 234.996.3411
                          phone_verified_at: '2025-12-18T19:41:59.000000Z'
                          role: user
                          coins: '166.00'
                        comments: "Serpent!' 'But I'm not looking for them, but they were gardeners, or soldiers, or courtiers, or three of the March Hare moved into the sky. Alice went on at last, and they repeated their arguments."
                        payment: null
                        created_at: '2025-12-18T19:41:59.000000Z'
                        updated_at: '2025-12-18T19:41:59.000000Z'
                        metadata: null
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 22912
                        amount:
                          type: string
                          example: '37.28'
                        status:
                          type: string
                          example: success
                        type:
                          type: string
                          example: transfer
                        fromUser:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7904
                            name:
                              type: string
                              example: 'Boyd Flatley'
                            email:
                              type: string
                              example: palma87@example.com
                            email_verified_at:
                              type: string
                              example: '2025-12-18T19:41:59.000000Z'
                            phone:
                              type: string
                              example: 1-978-968-0688
                            phone_verified_at:
                              type: string
                              example: '2025-12-18T19:41:59.000000Z'
                            role:
                              type: string
                              example: user
                            coins:
                              type: string
                              example: '912.00'
                        toUser:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 7905
                            name:
                              type: string
                              example: 'Vickie Herman'
                            email:
                              type: string
                              example: sigrid.white@example.com
                            email_verified_at:
                              type: string
                              example: '2025-12-18T19:41:59.000000Z'
                            phone:
                              type: string
                              example: 458.640.6047
                            phone_verified_at:
                              type: string
                              example: '2025-12-18T19:41:59.000000Z'
                            role:
                              type: string
                              example: user
                            coins:
                              type: string
                              example: '497.00'
                        comments:
                          type: string
                          example: "Gryphon, and all would change to tinkling sheep-bells, and the poor child, 'for I never knew so much about a foot high: then she had this fit) An obstacle that came between Him, and ourselves, and."
                        payment:
                          type: string
                          example: null
                        created_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        updated_at:
                          type: string
                          example: '2025-12-18T19:41:59.000000Z'
                        metadata:
                          type: string
                          example: null
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: '/?page=1'
                      last:
                        type: string
                        example: null
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      path:
                        type: string
                        example: /
                      per_page:
                        type: integer
                        example: 15
                      to:
                        type: integer
                        example: 2
      tags:
        - Wallets
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                from_user_id:
                  type: integer
                  description: optional
                  example: 10
                  nullable: false
                to_user_id:
                  type: integer
                  description: optional
                  example: 8
                  nullable: false
                type:
                  type: string
                  description: ''
                  example: refund
                  nullable: false
                  enum:
                    - withdrawal
                    - deposit
                    - transfer
                    - refund
                    - consume
                    - set
                types:
                  type: array
                  description: ''
                  example:
                    - transfer
                  items:
                    type: string
                    enum:
                      - withdrawal
                      - deposit
                      - transfer
                      - refund
                      - consume
                      - set
                status:
                  type: string
                  description: optional
                  example: ut
                  nullable: false
  '/api/v1/coins/transactions/{id}':
    get:
      summary: 'Transaction Details'
      operationId: transactionDetails
      description: '* Requires Admin permissions'
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 22914
                    amount: '57.55'
                    status: success
                    type: consume
                    fromUser:
                      id: 7908
                      name: 'Kory Schowalter MD'
                      email: fiona.hansen@example.net
                      email_verified_at: '2025-12-18T19:41:59.000000Z'
                      phone: 210.913.7466
                      phone_verified_at: '2025-12-18T19:41:59.000000Z'
                      role: user
                      coins: '183.00'
                    toUser:
                      id: 7909
                      name: 'Mrs. Daphnee Medhurst'
                      email: stanley.kulas@example.com
                      email_verified_at: '2025-12-18T19:41:59.000000Z'
                      phone: 1-479-824-1782
                      phone_verified_at: '2025-12-18T19:41:59.000000Z'
                      role: user
                      coins: '804.00'
                    comments: "However, this bottle does. I do wonder what they said. The executioner's argument was, that anything that looked like the tone of the ground.' So she tucked it away under her arm, with its wings."
                    payment: null
                    created_at: '2025-12-18T19:41:59.000000Z'
                    updated_at: '2025-12-18T19:41:59.000000Z'
                    metadata: null
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 22914
                      amount:
                        type: string
                        example: '57.55'
                      status:
                        type: string
                        example: success
                      type:
                        type: string
                        example: consume
                      fromUser:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7908
                          name:
                            type: string
                            example: 'Kory Schowalter MD'
                          email:
                            type: string
                            example: fiona.hansen@example.net
                          email_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          phone:
                            type: string
                            example: 210.913.7466
                          phone_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '183.00'
                      toUser:
                        type: object
                        properties:
                          id:
                            type: integer
                            example: 7909
                          name:
                            type: string
                            example: 'Mrs. Daphnee Medhurst'
                          email:
                            type: string
                            example: stanley.kulas@example.com
                          email_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          phone:
                            type: string
                            example: 1-479-824-1782
                          phone_verified_at:
                            type: string
                            example: '2025-12-18T19:41:59.000000Z'
                          role:
                            type: string
                            example: user
                          coins:
                            type: string
                            example: '804.00'
                      comments:
                        type: string
                        example: "However, this bottle does. I do wonder what they said. The executioner's argument was, that anything that looked like the tone of the ground.' So she tucked it away under her arm, with its wings."
                      payment:
                        type: string
                        example: null
                      created_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      updated_at:
                        type: string
                        example: '2025-12-18T19:41:59.000000Z'
                      metadata:
                        type: string
                        example: null
      tags:
        - Wallets
    parameters:
      -
        in: path
        name: id
        description: ''
        example: 1
        required: true
        schema:
          type: integer
tags:
  -
    name: Recargas
    description: ''
  -
    name: SimCard
    description: ''
  -
    name: Users
    description: ''
  -
    name: Wallets
    description: ''
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: 'You can retrieve your token by contacting Admins or use testing token <b>2|fv4mvKeQztbuboJwcsrUSRWnOwLmrzbpyzAnOE6g844d6d1e</b>'
security:
  -
    default: []
